
Base Distribution - Task # 52795

Work Package # 47023 (Accepted): Global user interface
Task # 48071 (Resolved): Navigate component

Status: Resolved Priority: Should have
Author: Aske Ertmann Category:
Created: 2013-10-14 Assigned To: Sebastian Kurfuerst
Updated: 2013-11-12 Due date:
Subject: Expand parents if current page is nested below initial max depth
Description

If the current page is beneath the default max depth the current page won't be shown in the page tree, if the current page is not visible
it should expand it's parents until visible (could also be done server side)

Associated revisions
Revision b2d091a7 - 2013-11-12 11:40 - Markus Goldbeck 

[FEATURE] Configurable expansion level of node tree and expand current node

    -  Fixes refreshing of tree selecting incorrect node
    -  Removes maximum depth of four levels for context structure tree

Change-Id: I715607f485c0e5e1e88836a0aefb6e307952e9d8
Resolves: #53106
Resolves: #52795
Reviewed-on: https://review.typo3.org/25075
Reviewed-by: Markus Goldbeck
Tested-by: Markus Goldbeck
Reviewed-by: Robert Lemke
Tested-by: Robert Lemke

History
#1 - 2013-10-24 11:59 - Markus Goldbeck
- Assigned To set to Markus Goldbeck
- Target version set to 1.0 alpha 8

#2 - 2013-11-11 15:53 - Markus Goldbeck
- Status changed from New to Accepted

#3 - 2013-11-12 03:51 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 5 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/25075

#4 - 2013-11-12 03:53 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/25075

#5 - 2013-11-12 08:12 - Markus Goldbeck
- Assigned To changed from Markus Goldbeck to Sebastian Kurfuerst
- % Done changed from 0 to 100

#6 - 2013-11-12 11:05 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/25075

#7 - 2013-11-12 11:08 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/25075

#8 - 2013-11-12 11:25 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/25075

#9 - 2013-11-12 12:36 - Anonymous
- Status changed from Under Review to Resolved

Applied in changeset commit:b2d091a7fb410ab4cd99006ce4082dcf9faaeb0d.
